mixin iframeResponsive(src, description)
  //- .iframe-responsive
  //-   .iframe-responsive__iframe
  //-     iframe(src= src allowfullscreen)
  //-   if description
  //-     .iframe-responsive__desc !{description}
  .iframe-responsive
      .iframe-responsive__iframe
        iframe(data-src= src src='' allowfullscreen="allowfullscreen")

mixin youtubeResponsive(videoId, description)
  - let src = 'https://www.youtube.com/embed/' + videoId
  +iframeResponsive(src, description)
